Install NetCDF-C on thredds

Jun 14, 2016 05:47 PM - Gianpaolo Coro

Status: Closed Start date: Jun 14, 2016

Priority: Normal Due date:  

Assignee: Tommaso Piccioli % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.0.0

  

Infrastructure: Production   

Description

The following package is required both on thredds-d-d4s and thredds-d4s

http://www.unidata.ucar.edu/downloads/netcdf/index.jsp

https://www.unidata.ucar.edu/software/thredds/current/netcdf-java/reference/netcdf4Clibrary.html

History

#1 - Jun 14, 2016 06:17 PM - Tommaso Piccioli

- Status changed from New to Feedback

- % Done changed from 0 to 100

On Debian 14.04:

apt-get install netcdf-bin

(from the standard ubuntu repository)

will install netcdf 4.1.3 and the requiered dependencies (fortran and C libraries)

It's already in the thredds playbook

If a specific more recent version is requiered let me know.

#2 - Jun 14, 2016 11:06 PM - Gianpaolo Coro

The test with netcdf 4.1.3 has failed. I will try to understand which version is suited.

#3 - Jun 15, 2016 11:36 AM - Gianpaolo Coro

Tommaso, could you try to install netcdf ver. 4.3.3.1?

#4 - Jun 15, 2016 11:38 AM - Gianpaolo Coro

Please, refer to indication in https://support.d4science.org/issues/3563#note-29

#5 - Jun 15, 2016 02:54 PM - Tommaso Piccioli

- Status changed from Feedback to In Progress

- % Done changed from 100 to 90

At the moment I installed netcdf 4.4.0 because there is a ppa repository for ubuntu trusty,

Please check if we can stick around with this version.

#7 - Jun 23, 2016 02:32 PM - Pasquale Pagano

- Tracker changed from Support to Task

Why this ticket is still open? 

#8 - Jun 23, 2016 02:41 PM - Gianpaolo Coro

- Status changed from In Progress to Closed
- % Done changed from 90 to 100

We were waiting for ENG to answer to the related ticket. From the latest updates, it seems that the issue does not depend on the C library. Thus, we

can close this ticket.

#9 - Jul 27, 2016 01:40 PM - Gianpaolo Coro

- Project changed from 8 to D4Science Infrastructure

- Category changed from Default to Data Management

- Status changed from Closed to In Progress

- Target version changed from Unsprintable to D4Science Infrastructure Upgrade to gCube 4.0.0

- % Done changed from 100 to 90

- Infrastructure Production added

Netcdf 4.4.0 is required also on thredds.d4science.org, @tommaso.piccioli@isti.cnr.it could you please run the same installation of the dev. machine?

#10 - Jul 27, 2016 01:56 PM - Tommaso Piccioli

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Netcdf 4.4.0 was already installed on thredds and thredds-d-d4s and the playbook was correct.

I removed the older libnetcdfc7 on thredds.d4science.org
